# Update field

`PATCH https://api.airtable.com/v0/meta/bases/{baseId}/tables/{tableId}/fields/{columnId}`

Updates the name, description, and/or options of a field. At least one must be specified.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`schema.bases:write`](https://airtable.com/developers/web/api/scopes.md#schema-bases-write)
- **User role:** Base creator
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `tableId: string`

- `columnId: string`

## Request body

- `description: string` — optional

  The new description for the field (optional). If present, must be a string no longer than 20,000 characters.

- `name: string` — optional

  The new name for the field (optional).

- `options: object` — optional

  Type-specific field options to update.

  - `formula: string` — optional

    The new formula expression (formula fields only). Field references
    can use field IDs (e.g., {fldXXXXXXXXXXXXXX}) or field names (e.g., {My Field}).

## Response format

- `id: string` — required

- `type: Field-Type` — optional

- `name: string` — required

- `description: string` — optional

- `options: unknown` — optional

### Example — Formula field update

```sh
curl -X PATCH "https://api.airtable.com/v0/meta/bases/{baseId}/tables/{tableId}/fields/{columnId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "options": {
      "formula": "{Quantity} * {Price}"
    }
  }'
```

```json
{
  "id": "fldoi0c3GaRQJ3xnI",
  "name": "Total",
  "options": {
    "formula": "{fldXXXXXXXXXXXXXX} * {fldYYYYYYYYYYYYYY}",
    "isValid": true,
    "referencedFieldIds": [],
    "result": null
  },
  "type": "formula"
}
```

### Example — Success Response

```sh
curl -X PATCH "https://api.airtable.com/v0/meta/bases/{baseId}/tables/{tableId}/fields/{columnId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "description": "I was changed!",
    "name": "Apartments (revised)"
  }'
```

```json
{
  "description": "I was changed!",
  "id": "fldoi0c3GaRQJ3xnI",
  "name": "Name (revised)",
  "type": "singleLineText"
}
```
